## profile-cleaner 2.45

=== Makefile ===
VERSION = 2.45
PN = profile-cleaner

PREFIX ?= /usr
BINDIR = $(PREFIX)/bin
MANDIR = $(PREFIX)/share/man/man1
ZSHDIR = $(PREFIX)/share/zsh/site-functions

RM = rm
SED = sed

all:
	@echo -e '\033[1;32mSetting version\033[0m'
	@sed 's/@VERSION@/'$(VERSION)'/' common/$(PN).in > common/$(PN)

install-bin:
	@echo -e '\033[1;32mInstalling main script, initd and config...\033[0m'
	install -Dm755 common/$(PN) "$(DESTDIR)$(BINDIR)/$(PN)"
	ln -s $(PN) "$(DESTDIR)$(BINDIR)/pc"
	install -d "$(DESTDIR)$(ZSHDIR)"
	install -m644 common/zsh-completion "$(DESTDIR)/$(ZSHDIR)/_pc"

install-man:
	@echo -e '\033[1;32mInstalling manpage...\033[0m'
	install -Dm644 doc/pc.1 "$(DESTDIR)$(MANDIR)/pc.1"

uninstall:
	$(RM) "$(DESTDIR)$(BINDIR)/$(PN)"
	$(RM) "$(DESTDIR)$(BINDIR)/pc"
	$(RM) "$(DESTDIR)/$(ZSHDIR)/_pc"

install: install-bin install-man

clean:
	$(RM) -f common/$(PN)

.PHONY: install-bin install-man uninstall install clean

=== debian/changelog ===
profile-cleaner (2.45-3) unstable; urgency=medium

  * Add VCS fields to control file

 -- Peter Blackman <peter@pblackman.plus.com>  Tue, 25 Jul 2023 12:00:00 +0100

profile-cleaner (2.45-2) unstable; urgency=medium

  * Source upload needed for migration

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 06 Jul 2023 16:00:00 +0100

profile-cleaner (2.45-1) unstable; urgency=medium

  * Initial release. (Closes: #1033413)

 -- Peter Blackman <peter@pblackman.plus.com>  Thu, 25 May 2023 12:00:00 +0100

=== debian/control ===
Source: profile-cleaner
Section: utils
Priority: optional
Maintainer: Peter Blackman <peter@pblackman.plus.com>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13), txt2man
Standards-Version: 4.6.2
Homepage: https://github.com/graysky2/profile-cleaner
Vcs-Browser: https://salsa.debian.org/debian/profile-cleaner
Vcs-Git: https://salsa.debian.org/debian/profile-cleaner.git

Package: profile-cleaner
Architecture: all
Depends: ${misc:Depends}, bc, parallel, sqlite3
Description: Reduces browser profile size by cleaning their sqlite databases
 Reduces the size of browser profiles by organizing their sqlite databases
 using sqlite3's vacuum and reindex functions.
 .
 The term "browser" is used loosely since profile-cleaner happily works
 on some email clients and newsreaders too.

=== debian/rules ===
#!/usr/bin/make -f

export DH_VERBOSE = 1

%:
	dh $@

override_dh_auto_build:
	txt2man -t profile-cleaner -d 1 -s 1 debian/man.txt > profile-cleaner.1
	dh_auto_build

execute_after_dh_auto_install:
	# 'pc' too short a name for debian
	rm debian/profile-cleaner/usr/bin/pc
	rm debian/profile-cleaner/usr/share/man/man1/pc.1
	rm -rf debian/profile-cleaner/usr/share/zsh

=== debian/watch ===
version=4
https://github.com/graysky2/profile-cleaner/tags .*/v?(\d\S+)\.tar\.gz

## profile-cleaner 2.46

=== Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-VERSION = 2.45
+VERSION = 2.46
 PN = profile-cleaner
 
 PREFIX ?= /usr

=== debian/changelog ===
profile-cleaner (2.46-1) unstable; urgency=medium

  * New upstream version 2.46 (update for firefox and use $XDG throughout)
  * Standards 4.7.3  (Remove obsolete fields in d/control)
  * Update maintainer email
  * Update copyright date

 -- Peter Blackman <peterb@debian.org>  Sat, 14 Feb 2026 15:07:20 +0000

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,8 @@
 Source: profile-cleaner
 Section: utils
-Priority: optional
-Maintainer: Peter Blackman <peter@pblackman.plus.com>
-Rules-Requires-Root: no
+Maintainer: Peter Blackman <peterb@debian.org>
 Build-Depends: debhelper-compat (= 13), txt2man
-Standards-Version: 4.6.2
+Standards-Version: 4.7.3
 Homepage: https://github.com/graysky2/profile-cleaner
 Vcs-Browser: https://salsa.debian.org/debian/profile-cleaner
 Vcs-Git: https://salsa.debian.org/debian/profile-cleaner.git
